package com.jeeplus.modules.sg.budgetSpectaculars.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 甲供材信息表
 * @author: 徐滕
 * @create: 2021-09-15 14:07
 **/
public class WhichMaterialInfo {
    private String no;    //序号
    private String projectDefinition;    //项目定义号
    private String projectName;    //项目名称
    private String materialNumber;    //物料编码
    private String materialDescribe;    //物料描述
    private String outboundAmount;    //出库金额（元）
    private String authorizedAmount;    //审定金额（元）
    private String differenceFeeH;    //差额（元）(H)
    private String outboundCount;    //出库数量
    private String authorizedCount;    //审定数量

    private String differenceFeeK;    //差额(K)
    private String weightingAverageUnitPrice;    //加权平均单价（元）
    private String unit;    //单位
    private String materialSmallType;    //物料小类
    private String materialMediumType;    //物料中类
    private String materialBigType;    //物料大类
    private String constructionDepartment;    //送审部门
    private String secondLevelUnit;    //二级单位
    private String firstLevelUnit;    //一级单位
    @ExcelField(title="序号", align=2, sort=1)
    public String getNo() {
        return no;
    }
    @ExcelField(title="项目定义号", align=2, sort=2)
    public String getProjectDefinition() {
        return projectDefinition;
    }
    @ExcelField(title="项目名称", align=2, sort=3)
    public String getProjectName() {
        return projectName;
    }
    @ExcelField(title="物料编码", align=2, sort=4)
    public String getMaterialNumber() {
        return materialNumber;
    }
    @ExcelField(title="物料描述", align=2, sort=5)
    public String getMaterialDescribe() {
        return materialDescribe;
    }
    @ExcelField(title="出库金额（元）", align=2, sort=6)
    public String getOutboundAmount() {
        return outboundAmount;
    }
    @ExcelField(title="审定金额（元）", align=2, sort=7)
    public String getAuthorizedAmount() {
        return authorizedAmount;
    }
    @ExcelField(title="差额（元）", align=2, sort=8)
    public String getDifferenceFeeH() {
        return differenceFeeH;
    }
    @ExcelField(title="出库数量", align=2, sort=9)
    public String getOutboundCount() {
        return outboundCount;
    }
    @ExcelField(title="审定数量", align=2, sort=10)
    public String getAuthorizedCount() {
        return authorizedCount;
    }
    @ExcelField(title="差额", align=2, sort=11)
    public String getDifferenceFeeK() {
        return differenceFeeK;
    }
    @ExcelField(title="加权平均单价（元）", align=2, sort=12)
    public String getWeightingAverageUnitPrice() {
        return weightingAverageUnitPrice;
    }
    @ExcelField(title="单位", align=2, sort=13)
    public String getUnit() {
        return unit;
    }
    @ExcelField(title="物料小类", align=2, sort=14)
    public String getMaterialSmallType() {
        return materialSmallType;
    }
    @ExcelField(title="物料中类", align=2, sort=15)
    public String getMaterialMediumType() {
        return materialMediumType;
    }
    @ExcelField(title="物料大类", align=2, sort=16)
    public String getMaterialBigType() {
        return materialBigType;
    }
    @ExcelField(title="送审部门", align=2, sort=17)
    public String getConstructionDepartment() {
        return constructionDepartment;
    }
    @ExcelField(title="二级单位", align=2, sort=18)
    public String getSecondLevelUnit() {
        return secondLevelUnit;
    }
    @ExcelField(title="一级单位", align=2, sort=19)
    public String getFirstLevelUnit() {
        return firstLevelUnit;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public void setProjectDefinition(String projectDefinition) {
        this.projectDefinition = projectDefinition;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public void setMaterialNumber(String materialNumber) {
        this.materialNumber = materialNumber;
    }

    public void setMaterialDescribe(String materialDescribe) {
        this.materialDescribe = materialDescribe;
    }

    public void setOutboundAmount(String outboundAmount) {
        this.outboundAmount = outboundAmount;
    }

    public void setAuthorizedAmount(String authorizedAmount) {
        this.authorizedAmount = authorizedAmount;
    }

    public void setDifferenceFeeH(String differenceFeeH) {
        this.differenceFeeH = differenceFeeH;
    }

    public void setOutboundCount(String outboundCount) {
        this.outboundCount = outboundCount;
    }

    public void setAuthorizedCount(String authorizedCount) {
        this.authorizedCount = authorizedCount;
    }

    public void setDifferenceFeeK(String differenceFeeK) {
        this.differenceFeeK = differenceFeeK;
    }

    public void setWeightingAverageUnitPrice(String weightingAverageUnitPrice) {
        this.weightingAverageUnitPrice = weightingAverageUnitPrice;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public void setMaterialSmallType(String materialSmallType) {
        this.materialSmallType = materialSmallType;
    }

    public void setMaterialMediumType(String materialMediumType) {
        this.materialMediumType = materialMediumType;
    }

    public void setMaterialBigType(String materialBigType) {
        this.materialBigType = materialBigType;
    }

    public void setConstructionDepartment(String constructionDepartment) {
        this.constructionDepartment = constructionDepartment;
    }

    public void setSecondLevelUnit(String secondLevelUnit) {
        this.secondLevelUnit = secondLevelUnit;
    }

    public void setFirstLevelUnit(String firstLevelUnit) {
        this.firstLevelUnit = firstLevelUnit;
    }
}
